libebook::FictionBook2MetadataCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2MetadataCollector Class Reference

`#include <FictionBook2MetadataCollector.h>`

Inheritance diagram for libebook::FictionBook2MetadataCollector:

## Public Member Functions
| FictionBook2MetadataCollector (librevenge::RVNGPropertyList &metadata)
Public Member Functions inherited from libebook::FictionBook2Collector
virtual | ~FictionBook2Collector ()=0

## Private Member Functions
void | defineMetadataEntry (const char *name, const char *value) override
void | openMetadataEntry (const char *name) override
void | closeMetadataEntry () override
void | defineID (const char *id) override
void | openPageSpan () override
void | closePageSpan () override
void | openBlock () override
void | closeBlock () override
void | openParagraph (const FictionBook2BlockFormat &format) override
void | closeParagraph () override
void | openSpan (const FictionBook2Style &style) override
void | closeSpan () override
void | insertText (const char *text) override
void | openTable (const FictionBook2BlockFormat &format) override
void | closeTable () override
void | openTableRow (const FictionBook2BlockFormat &format) override
void | closeTableRow () override
void | openTableCell (int rowspan, int colspan) override
void | closeTableCell () override
void | insertCoveredTableCell () override
void | insertFootnote (const char *id) override
void | insertBitmap (const char *id) override
void | insertBitmapData (const char *contentType, const char *base64Data) override

## Private Attributes
librevenge::RVNGPropertyList & | m_metadata

## Additional Inherited Members
Public Types inherited from libebook::FictionBook2Collector
typedef std::unordered_map< std::string, Binary > | BinaryMap_t
typedef std::unordered_map< std::string, Note > | NoteMap_t

## Constructor & Destructor Documentation

## ◆ FictionBook2MetadataCollector()

libebook::FictionBook2MetadataCollector::FictionBook2MetadataCollector | ( | librevenge::RVNGPropertyList & | metadata | ) |

## Member Function Documentation

## ◆ closeBlock()

void libebook::FictionBook2MetadataCollector::closeBlock | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeMetadataEntry()

void libebook::FictionBook2MetadataCollector::closeMetadataEntry | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closePageSpan()

void libebook::FictionBook2MetadataCollector::closePageSpan | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeParagraph()

void libebook::FictionBook2MetadataCollector::closeParagraph | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeSpan()

void libebook::FictionBook2MetadataCollector::closeSpan | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeTable()

void libebook::FictionBook2MetadataCollector::closeTable | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeTableCell()

void libebook::FictionBook2MetadataCollector::closeTableCell | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ closeTableRow()

void libebook::FictionBook2MetadataCollector::closeTableRow | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ defineID()

void libebook::FictionBook2MetadataCollector::defineID | ( | const char * | id | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ defineMetadataEntry()

void libebook::FictionBook2MetadataCollector::defineMetadataEntry | ( | const char * | name,
|  | const char * | value )
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertBitmap()

void libebook::FictionBook2MetadataCollector::insertBitmap | ( | const char * | id | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertBitmapData()

void libebook::FictionBook2MetadataCollector::insertBitmapData | ( | const char * | contentType,
|  | const char * | base64Data )
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertCoveredTableCell()

void libebook::FictionBook2MetadataCollector::insertCoveredTableCell | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertFootnote()

void libebook::FictionBook2MetadataCollector::insertFootnote | ( | const char * | id | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ insertText()

void libebook::FictionBook2MetadataCollector::insertText | ( | const char * | text | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openBlock()

void libebook::FictionBook2MetadataCollector::openBlock | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openMetadataEntry()

void libebook::FictionBook2MetadataCollector::openMetadataEntry | ( | const char * | name | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openPageSpan()

void libebook::FictionBook2MetadataCollector::openPageSpan | ( |  | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openParagraph()

void libebook::FictionBook2MetadataCollector::openParagraph | ( | const FictionBook2BlockFormat & | format | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openSpan()

void libebook::FictionBook2MetadataCollector::openSpan | ( | const FictionBook2Style & | style | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openTable()

void libebook::FictionBook2MetadataCollector::openTable | ( | const FictionBook2BlockFormat & | format | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openTableCell()

void libebook::FictionBook2MetadataCollector::openTableCell | ( | int | rowspan,
|  | int | colspan )
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## ◆ openTableRow()

void libebook::FictionBook2MetadataCollector::openTableRow | ( | const FictionBook2BlockFormat & | format | ) |
| overrideprivatevirtual

Implements libebook::FictionBook2Collector.

## Member Data Documentation

## ◆ m_metadata

librevenge::RVNGPropertyList& libebook::FictionBook2MetadataCollector::m_metadata
| private

Referenced by defineMetadataEntry(), and FictionBook2MetadataCollector().

The documentation for this class was generated from the following files:

- FictionBook2MetadataCollector.h
- FictionBook2MetadataCollector.cpp